devplugin

## Class ThemeIcon

- java.lang.Object
- - devplugin.ThemeIcon

-     public class ThemeIcon
      extends java.lang.Object

  This Class represents an Icon in the Icon-Theme. You can use this Class to identify a specific Icon. To load the Icon, please use Plugin.getPluginManager().getIconFromTheme(plugin, themeIcon, size)
  Since:
    2.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThemeIcon(java.lang.String category, java.lang.String name)` Create a ThemeIcon in default size
    `ThemeIcon(java.lang.String category, java.lang.String name, int size)` Create a ThemeIcon

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getAddress()` Gets the address of this icon or `null` if no address is set.
    `java.lang.String` | `getCategory()`
    `java.lang.String` | `getName()`
    `int` | `getSize()`
    `int` | `hashCode()`
    `void` | `setAddress(java.lang.String address)` Sets the full address of this icon

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThemeIcon

          public ThemeIcon(java.lang.String category,
                   java.lang.String name,
                   int size)

      Create a ThemeIcon
      Parameters:
        `category` - Category of the Icon (action, apps, devices etc)
        `name` - Name of the Icon without Extension (go-down, mail-message-new etc)
        `size` - Size of the Icon

    - #### ThemeIcon

          public ThemeIcon(java.lang.String category,
                   java.lang.String name)

      Create a ThemeIcon in default size
      Parameters:
        `category` - Category of the Icon (action, apps, devices etc)
        `name` - Name of the Icon without Extension (go-down, mail-message-new etc)

  - ### Method Detail

    - #### getCategory

          public java.lang.String getCategory()

      Returns:
        Category of the Icon

    - #### getName

          public java.lang.String getName()

      Returns:
        Name of the Icon

    - #### getSize

          public int getSize()

      Returns:
        Size of the Icon

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### setAddress

          public void setAddress(java.lang.String address)

      Sets the full address of this icon

      Parameters:
        `address` - The full address of this icon
      Since:
        3.4.2

    - #### getAddress

          public java.lang.String getAddress()

      Gets the address of this icon or `null` if no address is set.

      Returns:
        The full address or `null`
      Since:
        3.4.2

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)